
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;

/**
 * A graph object for the vector type XY data.
 */
public interface SGIFigureElementGraphVXY extends SGIFigureElementGraph
{

	public boolean setMagnitudePerCMDirectly( final int id, final float value );
	public boolean setDirectionInvariantDirectly( final int id, final boolean value );
	public boolean setLineWidthDirectly( final int id, final float value, final String unit );
	public boolean setLineTypeDirectly( final int id, final int value );
	public boolean setHeadSizeDirectly( final int id, final float value, final String unit );
	public boolean setColorDirectly( final int id, final Color value );
	public boolean setStartTypeDirectly( final int id, final int value );
	public boolean setEndTypeDirectly( final int id, final int value );
	public boolean setOpenAngleDirectly( final int id, final float value );
	public boolean setCloseAngleDirectly( final int id, final float value );

}

